javax.jdo.query

## Interface CollectionExpression<T extends Collection<E>,E>

- Type Parameters:
    `T` - Java type being represented here
    `E` - Element type of the collection being represented here
  All Superinterfaces:
    Expression<T>
  All Known Subinterfaces:
    ListExpression<T,E>

      public interface CollectionExpression<T extends Collection<E>,E>
      extends Expression<T>

  Representation of a collection in a query.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `BooleanExpression` | `contains(E elem)` Method returning whether the specified element is contained in this collection.
    `BooleanExpression` | `contains(Expression<E> expr)` Method returning whether the specified element expression is contained in this collection.
    `BooleanExpression` | `isEmpty()` Method returning whether the collection is empty.
    `NumericExpression<Integer>` | `size()` Method returning an expression for the size of the collection

    - ### Methods inherited from interface javax.jdo.query.Expression

      `as, cast, count, countDistinct, eq, eq, instanceOf, ne, ne`

- - ### Method Detail

    - #### contains

          BooleanExpression contains(Expression<E> expr)

      Method returning whether the specified element expression is contained in this collection.
      Parameters:
        `expr` - The element expression
      Returns:
        Whether it is contained here

    - #### contains

          BooleanExpression contains(E elem)

      Method returning whether the specified element is contained in this collection.
      Parameters:
        `elem` - The element
      Returns:
        Whether it is contained here

    - #### isEmpty

          BooleanExpression isEmpty()

      Method returning whether the collection is empty.
      Returns:
        Whether it is empty

    - #### size

          NumericExpression<Integer> size()

      Method returning an expression for the size of the collection
      Returns:
        The size

Copyright © 2005–2022 The Apache Software Foundation. All rights reserved.